<?php

namespace Plugin\Events;

use pocketmine\event\plugin\PluginEvent;
use pocketmine\Player;
use pocketmine\event\Cancellable;

use Plugin\ServerAuth;

class ServerAuthAuthenticateEvent extends PluginEvent implements Cancellable {

	public static $handlerList = null;

	private $player;

	public function __construct(Player $player){
		$this->player = $player;
	}

	public function getPlayer(){
		return $this->player;
	}
	
	public function setCancelledMessage($message){
		ServerAuth::getAPI()->canc_message = $message;
	}
}
